/*
** Module   : ColorPalette.java
** Abstract : Declares the supported terminal colors.
**
** Copyright (c) 2005-2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date--    ----------------Description-----------------
** 001 HC  20140119    Created initial version.
*/

package com.goldencode.p2j.ui;

/**
 * Set of supported terminal colors.
 * 
 * TODO: The ordinals are in-line with the ANSI escape codes (see http://en.wikipedia.org/wiki/ANSI_escape_code) and 
 * the ncurses console driver. When color support is extended to other drivers, translation from the logical value 
 * to the native value (at the level of individual native drivers) may be required.
 *
 */
public enum ColorPalette
{
   BLACK, 
   RED, 
   GREEN, 
   YELLOW, 
   BLUE, 
   MAGENTA, 
   CYAN, 
   WHITE 
}
